package jrobocom;

import java.net.*;
import java.io.*;


/***************************************************************
****************************************************************/
public class RobotAcceptingThread extends Thread
{
	//ServerSocket server;
	RoboAdapter adapter;
	ServerSocket toRobotServer;
	static final int TO_ROBOT_SERVER_PORT = 6134;

	/*************************************************************************
  *************************************************************************/
	public RobotAcceptingThread(RoboAdapter adapter)
	{
		//this.server = server;
		this.adapter = adapter;
		this.openSocketToRobot();
	}

	/*************************************************************************
   *Opens a serversocket for communication with the robot.
  *************************************************************************/
	public void openSocketToRobot()
	{
		System.out.println("..open new serversocket to ROBOT..");

		try{
			toRobotServer = new ServerSocket(TO_ROBOT_SERVER_PORT);
		}
		catch(IOException ex){
			ex.printStackTrace();
		}
	}

	/*************************************************************************
  *************************************************************************/
	public void run()
	{
		System.out.println("O Start accepting robot...");

		while(true){
			try{
				adapter.createRobotThread(toRobotServer.accept());
				System.out.println("O RoboAdapter accepted a new Robot!");
			}
			catch(IOException e)
			{
				System.out.println("X Problem while connecting robot: "+e);
			}
		}
	}
}
